Subject: installing & uninstalling packages

From: Dan Simmons <[email-masked]>
Date: Sun, 9 Feb 92 18:22:00 -0700

Just a thought...  Give me your reactions.  

I know that this would be introducing something totally non-standard into 
linux, but it seems like it might be worth doing, and I think it could be
implemented with complete or nearly complete backward compatibility.

Here it is:  Add another "owner" field to each file.  This field will not be
used for security at all but for additional flexibility in specifying groups
of files.  So you would have, owner, group, and something we might call
"package".  When you install a package on the system, you would write all the
files to disk with a unique package number.  That is, the install program would
query the system for a new package number and then write that along with a
package name into some file kind of like /etc/passwd which maps the numbers to
the packages.  Then you could either implement some separate commands or new
switches on old commands which would allow you to list/remove, etc.  Any files
tagged with a particular package number. 

I can think of several problems with this idea, but I can also see many 
advantages.  There are lots of people complaining about the file system 
structure and the trouble of identifying which files in /usr/lib belong to
gcc-1.40 and which to gcc-2.0, and this might be a solution...

So, there it is.  What do you think?

Daniel Simmons               [email-masked], [email-masked]
-------------------------------------------------------------------------
For the Lord of hosts has planned, and who can frustrate it?  And as for
His stretched-out hand, who can turn it back? -- Isaiah 14:27